Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.photo_colorizer.generate(
assets={"image_file_path": "/path/to/1234.png"}, name="Photo Colorizer image"
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.photoColorizer.generate(
{
assets: { imageFilePath: "/path/to/1234.png" },
name: "Photo Colorizer image",
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
photo_colorizer "github.com/magichourhq/magic-hour-go/resources/v1/photo_colorizer"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.PhotoColorizer.Create(photo_colorizer.CreateRequest{
Assets: types.V1PhotoColorizerCreateBodyAssets{
ImageFilePath: "api-assets/id/1234.png",
},
Name: nullable.NewValue("My Photo Colorizer image"),
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.photo_colorizer()
.create(magic_hour::resources::v1::photo_colorizer::CreateRequest {
assets: magic_hour::models::V1PhotoColorizerCreateBodyAssets {
image_file_path: "api-assets/id/1234.png".to_string(),
},
name: Some("My Photo Colorizer image".to_string()),
})
.await;curl --request POST \
--url https://api.magichour.ai/v1/photo-colorizer \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>' \
--header 'content-type: application/json' \
--data '
{
"name": "My Photo Colorizer image",
"assets": {
"image_file_path": "api-assets/id/1234.png"
}
}
'
{
"id": "cuid-example",
"credits_charged": 10
}{
"message": "Missing request body"
}{
"message": "Unauthorized"
}{
"message": "Payment required"
}{
"message": "Not Found"
}{
"message": "Unable to create image"
}Image Projects
Photo Colorizer API Reference - Magic Hour Docs
Colorize image. Each image costs 10 credits.
POST
/
v1
/
photo-colorizer
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.photo_colorizer.generate(
assets={"image_file_path": "/path/to/1234.png"}, name="Photo Colorizer image"
wait_for_completion=True,
download_outputs=True,
download_directory="."
)import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.photoColorizer.generate(
{
assets: { imageFilePath: "/path/to/1234.png" },
name: "Photo Colorizer image",
},
{
waitForCompletion: true,
downloadOutputs: true,
downloadDirectory: ".",
},
);package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
photo_colorizer "github.com/magichourhq/magic-hour-go/resources/v1/photo_colorizer"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
res, err := client.V1.PhotoColorizer.Create(photo_colorizer.CreateRequest{
Assets: types.V1PhotoColorizerCreateBodyAssets{
ImageFilePath: "api-assets/id/1234.png",
},
Name: nullable.NewValue("My Photo Colorizer image"),
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.photo_colorizer()
.create(magic_hour::resources::v1::photo_colorizer::CreateRequest {
assets: magic_hour::models::V1PhotoColorizerCreateBodyAssets {
image_file_path: "api-assets/id/1234.png".to_string(),
},
name: Some("My Photo Colorizer image".to_string()),
})
.await;Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
Body
application/json
Body
Response
Success
Success
Unique ID of the image. Use it with the Get image Project API to fetch status and downloads.
Example:
"cuid-example"
The amount of credits deducted from your account to generate the image. We charge credits right when the request is made.
If an error occurred while generating the image(s), credits will be refunded and this field will be updated to include the refund.
Example:
10
Was this page helpful?
⌘I